From: Boyuan Yang <byang@debian.org>
Date: Fri, 6 May 2022 23:04:52 -0400
Subject: Fix system datadir detection

---
 lightyears | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/lightyears b/lightyears
index 65cb04e..0459fa3 100755
--- a/lightyears
+++ b/lightyears
@@ -52,14 +52,14 @@ class MissingFileError(Exception):
 
 if __name__ == "__main__":
     # Path to data/code dir can be overridden by environment variable
-    LIGHTYEARS_DIR = os.environ.get("LIGHTYEARS_DIR", LIGHTYEARS_DIR)
+#    LIGHTYEARS_DIR = os.environ.get("LIGHTYEARS_DIR", LIGHTYEARS_DIR)
 
     # Path does not exist? Try current directory.
-    if ((LIGHTYEARS_DIR == None)
-    or (not os.path.isdir(LIGHTYEARS_DIR))
-    or (not os.path.isfile(os.path.join(LIGHTYEARS_DIR, 
-                            'code', '__init__.py')))):
-        LIGHTYEARS_DIR = "."
+#    if ((LIGHTYEARS_DIR == None)
+#    or (not os.path.isdir(LIGHTYEARS_DIR))
+#    or (not os.path.isfile(os.path.join(LIGHTYEARS_DIR, 
+#                            'code', '__init__.py')))):
+#        LIGHTYEARS_DIR = "."
 
     # Paths obtained
     if LIGHTYEARS_DIR != ".":
